Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.beans.application
Class GlobalPropertiesBean

    java.lang.Object
      kieker.webgui.web.beans.application.GlobalPropertiesBean

All Implemented Interfaces:
  Serializable

    @Component
    @Scope(value="singleton")
    public final class GlobalPropertiesBean

extends Object
implements Serializable

This class is a singleton scoped `Spring` bean containing properties, constants, methods and even some localized texts which are used at various parts in the application. While some of the properties are loaded directly from the resource bundles, some other are injected via `Spring`. This makes sure that most of the constants could be modified without recompiling the whole application.
If you want to change the values, take a look either at the files in the `resources` directory or at the `Spring` configuration files.
The class implements the `Serializable` interface to make sure that some session scoped beans can use this class. It is furthermore singleton scoped as the properties are the same for every user. Therefore only one instance of this class is necessary.
As this bean is `Spring` managed, it is not recommended to use the constructor or the setter methods.

Author:
  Nils Christian Ehmke
See Also:
  Serialized Form

Constructor Summary
`GlobalPropertiesBean()` Default constructor.

Method Summary
`boolean` | `checkString(Object object)` This method verifies whether the given object is an instance of `String` or not.
`static Object[]` | `convertObjectsFromParameterMap(String[] parameterNames, Class<?>[] types)` This method reads parameters from the request parameter map of the current context.
`String` | `getAnalysisEditorDefaultGridColor()`
`String` | `getAnalysisEditorDefaultGridSize()`
`String` | `getAnalysisEditorGridColorCookieName()`
`String` | `getAnalysisEditorGridSizeCookieName()`
`String` | `getAnalysisEditorShowUnitializedComponentsCookieName()`
`String` | `getDefaultProjectName()`
`String` | `getDefaultTheme()`
`String` | `getDefaultUserName()`
`String` | `getDefaultViewDescription()`
`String` | `getDefaultViewName()`
`String` | `getFacesContextThemeKey()`
`String` | `getGlobalConfigurationComponentName()`
`String` | `getLogMsgAnalysisAlreadyInstantiated()`
`String` | `getLogMsgAnalysisAlreadyStarted()`
`String` | `getLogMsgAnalysisNotStarted()`
`String` | `getLogMsgCleaning()`
`String` | `getLogMsgEmergencyShutdown()`
`String` | `getLogMsgErrorDuringInitialization()`
`String` | `getLogMsgErrorOccured()`
`String` | `getLogMsgInstantiatingAnalysis()`
`String` | `getLogMsgNotInstantiated()`
`String` | `getLogMsgStartingAnalysis()`
`String` | `getLogMsgStoppingAnalysis()`
`String` | `getMsgAccessDatabaseException()`
`String` | `getMsgAddUser()`
`String` | `getMsgAddUserException()`
`String` | `getMsgDeletedUser()`
`String` | `getMsgDeleteUserException()`
`String` | `getMsgEnterValidName()`
`String` | `getMsgLibraryExistingException()`
`String` | `getMsgLibraryUploaded()`
`String` | `getMsgLibraryUploadingException()`
`String` | `getMsgModifiedUser()`
`String` | `getMsgModifyUserException()`
`String` | `getMsgPluginCreationException()`
`String` | `getMsgProjectAlreadyExistingException()`
`String` | `getMsgProjectCreated()`
`String` | `getMsgProjectCreationException()`
`String` | `getMsgProjectDeleted()`
`String` | `getMsgProjectDeleteException()`
`String` | `getMsgProjectLoadingException()`
`String` | `getMsgProjectModified()`
`String` | `getMsgProjectNotExistingException()`
`String` | `getMsgProjectRenamed()`
`String` | `getMsgProjectSaved()`
`String` | `getMsgProjectSavingException()`
`String` | `getMsgProjectStillRunningException()`
`String` | `getMsgProjectUploaded()`
`String` | `getMsgProjectUploadException()`
`String` | `getMsgRepositoryCreationException()`
`String` | `getMsgUserAlreadyExisting()`
`String` | `getThemeCookieName()`
`void` | `setAnalysisEditorDefaultGridColor(String analysisEditorDefaultGridColor)`
`void` | `setAnalysisEditorDefaultGridSize(String analysisEditorDefaultGridSize)`
`void` | `setAnalysisEditorGridColorCookieName(String analysisEditorGridColorCookieName)`
`void` | `setAnalysisEditorGridSizeCookieName(String analysisEditorGridSizeCookieName)`
`void` | `setAnalysisEditorShowUnitializedComponentsCookieName(String unitializedComponentsCookieName)`
`void` | `setDefaultTheme(String defaultTheme)`
`void` | `setFacesContextThemeKey(String facesContextThemeKey)`
`void` | `setThemeCookieName(String themeCookieName)`
`String` | `shortenLongName(String name, int maxChar)` Shortens a given name.
`static void` | `showMessage(javax.faces.application.FacesMessage.Severity severity, String msg)` This method shows a message by using the message-component of PrimeFaces (within the current context).
`static void` | `showMessage(javax.faces.application.FacesMessage.Severity severity, String msg, String clientID)` This method shows a message by using the message-component of PrimeFaces (within the current context).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalPropertiesBean

    public GlobalPropertiesBean()

  Default constructor. Do not use this constructor. This bean is Spring managed.

Method Detail

### getMsgAddUser

    public String getMsgAddUser()

### getMsgModifiedUser

    public String getMsgModifiedUser()

### getMsgDeletedUser

    public String getMsgDeletedUser()

### getMsgAddUserException

    public String getMsgAddUserException()

### getMsgDeleteUserException

    public String getMsgDeleteUserException()

### getMsgAccessDatabaseException

    public String getMsgAccessDatabaseException()

### getMsgModifyUserException

    public String getMsgModifyUserException()

### getLogMsgAnalysisAlreadyStarted

    public String getLogMsgAnalysisAlreadyStarted()

### getLogMsgErrorOccured

    public String getLogMsgErrorOccured()

### getLogMsgAnalysisNotStarted

    public String getLogMsgAnalysisNotStarted()

### getLogMsgAnalysisAlreadyInstantiated

    public String getLogMsgAnalysisAlreadyInstantiated()

### getLogMsgErrorDuringInitialization

    public String getLogMsgErrorDuringInitialization()

### getLogMsgNotInstantiated

    public String getLogMsgNotInstantiated()

### getLogMsgStartingAnalysis

    public String getLogMsgStartingAnalysis()

### getLogMsgStoppingAnalysis

    public String getLogMsgStoppingAnalysis()

### getLogMsgEmergencyShutdown

    public String getLogMsgEmergencyShutdown()

### getLogMsgInstantiatingAnalysis

    public String getLogMsgInstantiatingAnalysis()

### getLogMsgCleaning

    public String getLogMsgCleaning()

### setFacesContextThemeKey

    public void setFacesContextThemeKey(String facesContextThemeKey)

### getFacesContextThemeKey

    public String getFacesContextThemeKey()

### setDefaultTheme

    public void setDefaultTheme(String defaultTheme)

### getDefaultTheme

    public String getDefaultTheme()

### setAnalysisEditorGridSizeCookieName

    public void setAnalysisEditorGridSizeCookieName(String analysisEditorGridSizeCookieName)

### getAnalysisEditorGridSizeCookieName

    public String getAnalysisEditorGridSizeCookieName()

### setAnalysisEditorGridColorCookieName

    public void setAnalysisEditorGridColorCookieName(String analysisEditorGridColorCookieName)

### getAnalysisEditorGridColorCookieName

    public String getAnalysisEditorGridColorCookieName()

### setAnalysisEditorDefaultGridSize

    public void setAnalysisEditorDefaultGridSize(String analysisEditorDefaultGridSize)

### getAnalysisEditorDefaultGridSize

    public String getAnalysisEditorDefaultGridSize()

### setAnalysisEditorDefaultGridColor

    public void setAnalysisEditorDefaultGridColor(String analysisEditorDefaultGridColor)

### getAnalysisEditorDefaultGridColor

    public String getAnalysisEditorDefaultGridColor()

### setThemeCookieName

    public void setThemeCookieName(String themeCookieName)

### getThemeCookieName

    public String getThemeCookieName()

### setAnalysisEditorShowUnitializedComponentsCookieName

    public void setAnalysisEditorShowUnitializedComponentsCookieName(String unitializedComponentsCookieName)

### getAnalysisEditorShowUnitializedComponentsCookieName

    public String getAnalysisEditorShowUnitializedComponentsCookieName()

### getMsgProjectRenamed

    public String getMsgProjectRenamed()

### getMsgProjectLoadingException

    public String getMsgProjectLoadingException()

### getMsgProjectSaved

    public String getMsgProjectSaved()

### getMsgPluginCreationException

    public String getMsgPluginCreationException()

### getMsgRepositoryCreationException

    public String getMsgRepositoryCreationException()

### getMsgLibraryUploaded

    public String getMsgLibraryUploaded()

### getMsgProjectCreated

    public String getMsgProjectCreated()

### getMsgProjectSavingException

    public String getMsgProjectSavingException()

### getMsgProjectNotExistingException

    public String getMsgProjectNotExistingException()

### getDefaultViewName

    public String getDefaultViewName()

### getDefaultViewDescription

    public String getDefaultViewDescription()

### getDefaultProjectName

    public String getDefaultProjectName()

### getDefaultUserName

    public String getDefaultUserName()

### getMsgProjectModified

    public String getMsgProjectModified()

### getMsgLibraryExistingException

    public String getMsgLibraryExistingException()

### getMsgLibraryUploadingException

    public String getMsgLibraryUploadingException()

### getMsgProjectDeleted

    public String getMsgProjectDeleted()

### getMsgProjectUploaded

    public String getMsgProjectUploaded()

### getMsgProjectCreationException

    public String getMsgProjectCreationException()

### getMsgProjectAlreadyExistingException

    public String getMsgProjectAlreadyExistingException()

### getMsgEnterValidName

    public String getMsgEnterValidName()

### getMsgProjectDeleteException

    public String getMsgProjectDeleteException()

### getMsgProjectStillRunningException

    public String getMsgProjectStillRunningException()

### getMsgProjectUploadException

    public String getMsgProjectUploadException()

### getGlobalConfigurationComponentName

    public String getGlobalConfigurationComponentName()

### getMsgUserAlreadyExisting

    public String getMsgUserAlreadyExisting()

### showMessage

    public static void showMessage(javax.faces.application.FacesMessage.Severity severity,
                                   String msg)

  This method shows a message by using the message-component of PrimeFaces (within the current context).

  Parameters:
    `severity` - The severity of the message.
    `msg` - The message to show.

### showMessage

    public static void showMessage(javax.faces.application.FacesMessage.Severity severity,
                                   String msg,
                                   String clientID)

  This method shows a message by using the message-component of PrimeFaces (within the current context).

  Parameters:
    `severity` - The severity of the message.
    `msg` - The message to show.
    `clientID` - The client ID. This value can be used to show a message for a specific component.

### checkString

    public boolean checkString(Object object)

  This method verifies whether the given object is an instance of `String` or not. This is necessary due to the fact that the instanceof-command has not yet been implemented in JSF.

  Parameters:
    `object` - The object to be verified.
  Returns:
    true if and only if the given object is an instance of String.

### shortenLongName

    public String shortenLongName(String name,
                                  int maxChar)

  Shortens a given name. If the name is longer than the given number of characters, only the first maxChar - 3 characters of the string will be used and the last three will be replaced with dots.

  Parameters:
    `name` - The name to be shortened.
    `maxChar` - The maximal number of characters.
  Returns:
    The shortened name.

### convertObjectsFromParameterMap

    public static Object[] convertObjectsFromParameterMap(String[] parameterNames,
                                                          Class<?>[] types)

  This method reads parameters from the request parameter map of the current context. The parameters are converted to actual objects, based on the given types. It is assumed (but not checked) that both arrays have the same size.

  Parameters:
    `parameterNames` - The name of the parameters within the request parameter map.
    `types` - The actual types of the parameters. The method will try to convert the strings to those types.
  Returns:
    An array containing the actual parameter objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.